Package org.apache.lucene.util

# Class LongValues

java.lang.Object
org.apache.lucene.util.LongValues

Direct Known Subclasses:
  `AbstractPagedMutable`, `DirectMonotonicReader`, `MonotonicBlockPackedReader`, `PackedLongValues`

public abstract class LongValues extends Object
Abstraction over an array of longs.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final LongValues`
  `IDENTITY`
  An instance that returns the provided value.
  `static final LongValues`
  `ZEROES`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LongValues()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract long`
  `get(long index)`
  Get value at `index`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### IDENTITY

    public static final LongValues IDENTITY
    An instance that returns the provided value.

  - ### ZEROES

    public static final LongValues ZEROES

- ## Constructor Details

  - ### LongValues

    public LongValues()

- ## Method Details

  - ### get

    public abstract long get(long index)
    Get value at `index`.